Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233752 - yum looks in wrong directory
Summary: yum looks in wrong directory
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-24 17:32 UTC by Robin Green
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-24 19:55:03 UTC


Attachments (Terms of Use)

Description Robin Green 2007-03-24 17:32:33 UTC
Description of problem:
yum cannot install from rawhide because it wrongly looks in a non-existent
"RPMS" directory.

Version-Release number of selected component (if applicable):
yum-3.1.5-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. sudo yum install rpm-build
  
Actual results:
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
extras-dev: ################################################## 5340/5340
primary.xml.gz            100% |=========================|  63 kB    00:00     
http://ayo.pt.freshrpms.net/fedora/linux/6/x86_64/freshrpms/repodata/primary.xml.gz:
[Errno -1] Metadata file does not match checksum
Trying other mirror.
primary.xml.gz            100% |=========================|  65 kB    00:00     
freshrpms : ################################################## 177/177
Resolving Dependencies
--> Running transaction check
Checking deps for rpm-build.x86_64 0-4.4.2-40.fc7 - u
--> Processing Dependency: elfutils for package: rpm-build
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
Checking deps for rpm-build.x86_64 0-4.4.2-40.fc7 - u
Checking deps for elfutils.x86_64 0-0.126-1.fc7 - u

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 rpm-build               x86_64     4.4.2-40.fc7     development       561 k
Installing for dependencies:
 elfutils                x86_64     0.126-1.fc7      development       168 k

Transaction Summary
=============================================================================
Install      2 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 729 k
Is this ok [y/N]: y
Downloading Packages:
ftp://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 4] IOError: [Errno ftp error] 550 Can't change directory to RPMS: No such
file or directory
Trying other mirror.
http://mirror.linux.duke.edu/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Content-Length: 345
Date: Sat, 24 Mar 2007 16:56:01 GMT
Accept-Ranges: bytes
Content-Type: text/html
Server: lighttpd/1.3.16

Trying other mirror.
http://mirrors.kernel.org/fedora/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:23:54 GMT
Server: Apache/2.2.2 (Fedora)
Content-Length: 275
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
http://sunsite.mff.cuni.cz/pub/fedora/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:28:39 GMT
Server: Apache/2.2.3 (Fedora)
Content-Length: 358
Connection: close
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
http://srl.cs.jhu.edu/YUM/fedora/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:23:54 GMT
Server: Apache/2.2.3 (Fedora)
Content-Length: 358
Connection: close
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
ftp://alviss.et.tudelft.nl/pub/fedora/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 4] IOError: [Errno ftp error] 550 Failed to change directory.
Trying other mirror.
http://ftp-stud.fht-esslingen.de/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:23:55 GMT
Server: Apache/2.2.3 (Fedora)
Vary: accept-language,accept-charset
Accept-Ranges: bytes
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Content-Language: en

Trying other mirror.
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Content-Length: 345
Date: Sat, 24 Mar 2007 16:56:03 GMT
Accept-Ranges: bytes
Content-Type: text/html
Server: lighttpd/1.3.16

Trying other mirror.
http://download.fedoraproject.org/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:28:41 GMT
Server: Apache/2.2.3 (Fedora)
Content-Length: 359
Connection: close
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/x86_64/os/Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:23:57 GMT
Server: Apache/2.0.54 (Fedora)
Vary: accept-language,accept-charset
Accept-Ranges: bytes
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Content-Language: en

Trying other mirror.
ftp://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 4] IOError: [Errno ftp error] 550 Can't change directory to RPMS: No such
file or directory
Trying other mirror.
http://mirror.linux.duke.edu/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Content-Length: 345
Date: Sat, 24 Mar 2007 16:56:06 GMT
Accept-Ranges: bytes
Content-Type: text/html
Server: lighttpd/1.3.16

Trying other mirror.
http://mirrors.kernel.org/fedora/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:24:07 GMT
Server: Apache/2.2.2 (Fedora)
Content-Length: 277
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
http://sunsite.mff.cuni.cz/pub/fedora/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:28:52 GMT
Server: Apache/2.2.3 (Fedora)
Content-Length: 360
Connection: close
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
http://srl.cs.jhu.edu/YUM/fedora/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:24:07 GMT
Server: Apache/2.2.3 (Fedora)
Content-Length: 360
Connection: close
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
ftp://alviss.et.tudelft.nl/pub/fedora/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 4] IOError: [Errno ftp error] 550 Failed to change directory.
Trying other mirror.
http://ftp-stud.fht-esslingen.de/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:24:08 GMT
Server: Apache/2.2.3 (Fedora)
Vary: accept-language,accept-charset
Accept-Ranges: bytes
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Content-Language: en

Trying other mirror.
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Content-Length: 345
Date: Sat, 24 Mar 2007 16:56:16 GMT
Accept-Ranges: bytes
Content-Type: text/html
Server: lighttpd/1.3.16

Trying other mirror.
http://download.fedoraproject.org/pub/fedora/linux/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:24:09 GMT
Server: Apache/2.0.52 (Red Hat)
Content-Length: 378
Connection: close
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/x86_64/os/Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm:
[Errno 14] HTTP Error 404: Date: Sat, 24 Mar 2007 17:24:09 GMT
Server: Apache/2.0.54 (Fedora)
Vary: accept-language,accept-charset
Accept-Ranges: bytes
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1
Content-Language: en

Trying other mirror.


Error Downloading Packages:
  elfutils - 0.126-1.fc7.x86_64: failure:
Fedora/RPMS/elfutils-0.126-1.fc7.x86_64.rpm from development: [Errno 256] No
more mirrors to try.
  rpm-build - 4.4.2-40.fc7.x86_64: failure:
Fedora/RPMS/rpm-build-4.4.2-40.fc7.x86_64.rpm from development: [Errno 256] No
more mirrors to try.



Expected results:
Should look in correct directory

Additional info:
$ rpm -qf /etc/yum.repos.d/fedora-development.repo 
fedora-release-6.92-1

Comment 1 Seth Vidal 2007-03-24 19:55:03 UTC
run 'yum clean dbcache'

then re-run yum, it will be correct.

technically the problem here is in yum-metadata-parser but either way the above
is a simple fix.



Note You need to log in before you can comment on or make changes to this bug.